﻿using System;
using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 샘플 리스트
    /// </summary>
    public class SampleList
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 데이터 - Data

        /// <summary>
        /// 데이터
        /// </summary>
        public List<Sample> Data { get; private set;}

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - SampleList()

        /// <summary>
        /// 생성자
        /// </summary>
        public SampleList()
        {
            List<Sample> list = new List<Sample>();

            for(int i = 0; i < 20; i++)
            {
                list.Add(new Sample() { ID = Guid.NewGuid(), Number = i });
            }

            Data = list;
        }

        #endregion
    }
}