﻿// Developer Express Code Central Example:
// How to implement an unbound editable check column
// 
// This example demonstrates how to emulate row selection via an unbound column
// with a checkbox. The grid's built-in editing is used. It's enabled when the
// view's NavigationStyle property is set to CellNavigation.
// 
// Note: If you want
// this feature to be natively supported by the DXGrid control, please track the
// corresponding suggestion: http://www.devexpress.com/scid=S32881.
// 
// Starting
// from the 12.1.8 version, we support a new way of implementing multiple row
// selection via a checked column. Please refer to the following article, which
// shows how to implement this: http://www.devexpress.com/scid=KA18610.
// 
// You can find sample updates and versions for different programming languages here:
// http://www.devexpress.com/example=E1263

using System.Reflection;
using System.Resources;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Windows;

// General Information about an assembly is controlled through the following 
// set of attributes. Change these attribute values to modify the information
// associated with an assembly.
[assembly: AssemblyTitle("TestProject")]
[assembly: AssemblyDescription("")]
[assembly: AssemblyConfiguration("")]
[assembly: AssemblyCompany("DSCore")]
[assembly: AssemblyProduct("TestProject")]
[assembly: AssemblyCopyright("Copyright © DSCore 2017")]
[assembly: AssemblyTrademark("")]
[assembly: AssemblyCulture("")]

// Setting ComVisible to false makes the types in this assembly not visible 
// to COM components.  If you need to access a type in this assembly from 
// COM, set the ComVisible attribute to true on that type.
[assembly: ComVisible(false)]

//In order to begin building localizable applications, set 
//<UICulture>CultureYouAreCodingWith</UICulture> in your .csproj file
//inside a <PropertyGroup>.  For example, if you are using US english
//in your source files, set the <UICulture> to en-US.  Then uncomment
//the NeutralResourceLanguage attribute below.  Update the "en-US" in
//the line below to match the UICulture setting in the project file.

//[assembly: NeutralResourcesLanguage("en-US", UltimateResourceFallbackLocation.Satellite)]


[assembly: ThemeInfo(
    ResourceDictionaryLocation.None, //where theme specific resource dictionaries are located
    //(used if a resource is not found in the page, 
    // or application resource dictionaries)
    ResourceDictionaryLocation.SourceAssembly //where the generic resource dictionary is located
    //(used if a resource is not found in the page, 
    // app, or any theme specific resource dictionaries)
)]


// Version information for an assembly consists of the following four values:
//
//      Major Version
//      Minor Version 
//      Build Number
//      Revision
//
// You can specify all the values or you can default the Build and Revision Numbers 
// by using the '*' as shown below:
// [assembly: AssemblyVersion("1.0.*")]
[assembly: AssemblyVersion("1.0.0.0")]
[assembly: AssemblyFileVersion("1.0.0.0")]
[assembly: GuidAttribute("95461AF3-2A7A-4225-9D06-E8852AEBD812")]
